function setup() {
	// アプリケーションキャッシュ
	if(window.applicationCache) {
		applicationCache.addEventListener('updateready', updateHandler, false);
		
		// アプリケーションキャッシュのイベント
		applicationCache.addEventListener('checking', putLog, false);
		applicationCache.addEventListener('noupdate', putLog, false);
		applicationCache.addEventListener('downloading', putLog, false);
		applicationCache.addEventListener('progress', putLog, false);
		applicationCache.addEventListener('cached', putLog, false);
		applicationCache.addEventListener('updateready', putLog, false);
		applicationCache.addEventListener('obsolete', putLog, false);
		applicationCache.addEventListener('error', putLog, false);
	}
	
}

function putLog(e) {
	console.log('キャッシュイベント：%s', e.type);
}

function updateHandler(e) {
	var update = confirm('Webサイトが更新されました。いますぐ最新版を利用しますか？');
	if(update) {
		applicationCache.swapCache();
		location.reload();
	}
}

